Index: cpukit/posix/ChangeLog
===================================================================
--- cpukit/posix/ChangeLog	(revision a36e98889ff0c3f8b25eb9c3f41790a8ec224175)
+++ cpukit/posix/ChangeLog	(revision 35ee867eb90e35aa1084c75dbaf224be80a6e226)
@@ -1,2 +1,8 @@
+2002-12-02	Joel Sherrill <joel@OARcorp.com>
+
+	* include/rtems/posix/timer.h, src/keygetspecific.c,
+	src/posixtimespecsubtract.c, src/ptimer1.c, src/semunlink.c:
+	Added casts to eliminate warnings on 16-bit targets like the h8300.
+
 2002-11-29	Eric Norum <eric.norum@usask.ca>
 
Index: cpukit/posix/include/rtems/posix/timer.h
===================================================================
--- cpukit/posix/include/rtems/posix/timer.h	(revision a36e98889ff0c3f8b25eb9c3f41790a8ec224175)
+++ cpukit/posix/include/rtems/posix/timer.h	(revision 35ee867eb90e35aa1084c75dbaf224be80a6e226)
@@ -14,19 +14,21 @@
 #define STATE_CREATE_RUN_C  0x03 /* Created timer and running              */
 #define STATE_CREATE_STOP_C 0x04 /* Created, ran and stopped timer         */
-#define MAX_NSEC_C    1000000000 /* Maximum number of nsec allowed         */
+/* Maximum number of nsec allowed         */
+#define MAX_NSEC_C    (unsigned32)1000000000
 #define MIN_NSEC_C             0 /* Minimum number of nsec allowew         */
 #define TIMER_RELATIVE_C       0 /* Indicates that the fire time is
                                   * relative to the current one            */
 #define SEC_TO_TICKS_C _TOD_Ticks_per_second /* Number of ticks in a second*/
-#define NSEC_PER_SEC_C 1000000000 /* Nanoseconds in a second               */
+/* Nanoseconds in a second               */
+#define NSEC_PER_SEC_C (unsigned32)1000000000
 
 #define NO_MORE_TIMERS_C      11 /* There is not available timers          */
 #define BAD_TIMER_C           11 /* The timer does not exist in the table  */
 
-#define SECONDS_PER_YEAR_C    ( 360 * 24 * 60 * 60 )
-#define SECONDS_PER_MONTH_C    ( 30 * 24 * 60 * 60 )
-#define SECONDS_PER_DAY_C           ( 24 * 60 * 60 )
-#define SECONDS_PER_HOUR_C               ( 60 * 60 )
-#define SECONDS_PER_MINUTE_C                  ( 60 )
+#define SECONDS_PER_YEAR_C    (unsigned32)(360 * 24) * (unsigned32)(60 * 60)
+#define SECONDS_PER_MONTH_C   (unsigned32)( 30 * 24) * (unsigned32)(60 * 60)
+#define SECONDS_PER_DAY_C     (unsigned32)( 24 * 60) * (unsigned32)(60)
+#define SECONDS_PER_HOUR_C               (unsigned32)( 60 * 60 )
+#define SECONDS_PER_MINUTE_C                  (unsigned32)( 60 )
 
 
Index: cpukit/posix/src/keygetspecific.c
===================================================================
--- cpukit/posix/src/keygetspecific.c	(revision a36e98889ff0c3f8b25eb9c3f41790a8ec224175)
+++ cpukit/posix/src/keygetspecific.c	(revision 35ee867eb90e35aa1084c75dbaf224be80a6e226)
@@ -44,4 +44,5 @@
       return key_data;
   }
-  return (void *) POSIX_BOTTOM_REACHED();
+  (void) POSIX_BOTTOM_REACHED();
+  return (void *)NULL;
 }
Index: cpukit/posix/src/posixtimespecsubtract.c
===================================================================
--- cpukit/posix/src/posixtimespecsubtract.c	(revision a36e98889ff0c3f8b25eb9c3f41790a8ec224175)
+++ cpukit/posix/src/posixtimespecsubtract.c	(revision 35ee867eb90e35aa1084c75dbaf224be80a6e226)
@@ -32,5 +32,5 @@
   struct timespec  start_struct = *the_start;
   struct timespec *start = &start_struct;
-  unsigned int nsecs_per_sec = TOD_NANOSECONDS_PER_SECOND;
+  unsigned32 nsecs_per_sec = TOD_NANOSECONDS_PER_SECOND;
  
   if (end->tv_nsec < start->tv_nsec) {
Index: cpukit/posix/src/ptimer1.c
===================================================================
--- cpukit/posix/src/ptimer1.c	(revision a36e98889ff0c3f8b25eb9c3f41790a8ec224175)
+++ cpukit/posix/src/ptimer1.c	(revision 35ee867eb90e35aa1084c75dbaf224be80a6e226)
@@ -574,5 +574,6 @@
         timer_struct[timer_pos].ticks = 
              ( SEC_TO_TICKS_C * value->it_value.tv_sec ) +
-             ( value->it_value.tv_nsec / ( 1000 * 1000 * 10 ) );
+             ( value->it_value.tv_nsec / 
+                 (1000L * (unsigned32)(1000 * 10) ));
 
         return_v = rtems_timer_fire_after ( timerid, 
Index: cpukit/posix/src/semunlink.c
===================================================================
--- cpukit/posix/src/semunlink.c	(revision a36e98889ff0c3f8b25eb9c3f41790a8ec224175)
+++ cpukit/posix/src/semunlink.c	(revision 35ee867eb90e35aa1084c75dbaf224be80a6e226)
@@ -51,5 +51,5 @@
    */
 
-  if ( !_Objects_Is_local_id(the_semaphore_id) ) {
+  if ( !_Objects_Is_local_id((Objects_Id)the_semaphore_id) ) {
     _Thread_Enable_dispatch();
     rtems_set_errno_and_return_minus_one( ENOSYS );
